local insert = table.insert
local inserted1, inserted2 = false, false

-- Try to use unique function names so diff user packs don't overwrite eachother, Generally I just use MP, VP, DF + Unique Addon Name
-- Function names are defined in TOC. A pack does not need to contain all 3 sound types. You are welcome to make just specific ones, just make sure TOC is correct

function DBMVArnoldEventsPack() -- Register Victory sounds to DBM.Victory table
	if inserted1 then
		return
	end
	insert(DBM.Victory, {
		text	= "Astalavista",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Victory\\Victory_Astalavista.ogg"
	})
	insert(DBM.Victory, {
		text	= "Conan The Destroyer",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Victory\\Victory_ConanTheDestroyer.ogg"
	})
	insert(DBM.Victory, {
		text	= "Arnold: Dead",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Victory\\Victory_Dead.ogg"
	})
	insert(DBM.Victory, {
		text	= "Total Recall: Divorce",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Victory\\Victory_Divorce.ogg"
	})
	insert(DBM.Victory, {
		text	= "Last Action: Kill",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Victory\\Victory_Kill.ogg"
	})
	insert(DBM.Victory, {
		text	= "Arnold Laugh: Laugh",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Victory\\Victory_Laugh.ogg"
	})
	insert(DBM.Victory, {
		text	= "Predator: Predator Theme 1",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Victory\\Victory_ThemeOne.ogg"
	})
	insert(DBM.Victory, {
		text	= "Predator: Predator Theme 2",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Victory\\Victory_ThemeTwo.ogg"
	})
	insert(DBM.Victory, {
		text	= "Last Action: No Sequel",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Victory\\Victory_NoSequelForYou.ogg"
	})
	insert(DBM.Victory, {
		text	= "Total Recall: Party",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Victory\\Victory_SeeYouAtTheParty.ogg"
	})
	insert(DBM.Victory, {
		text	= "Running Man: Sub Zero",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Victory\\Victory_SubZero.ogg"
	})
	insert(DBM.Victory, {
		text	= "Terminator: Terminated",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Victory\\Victory_Terminated.ogg"
	})
	insert(DBM.Victory, {
		text	= "Arnold: To Be",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Victory\\Victory_NotToBe.ogg"
	})
	insert(DBM.Victory, {
		text	= "Real Quaid",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Victory\\Victory_RealQuaid.ogg"
	})
	insert(DBM.Victory, {
		text	= "Mine Now",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Victory\\Victory_MineNow.ogg"
	})
	insert(DBM.Victory, {
		text	= "Bleeds",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Victory\\Victory_Bleeds.ogg"
	})
	
	inserted1 = true
end

function DBMDArnoldEventsPack() -- Register Defeat sounds to DBM.Defeat Table
	if inserted2 then
		return
	end
	insert(DBM.Defeat, {
		text	= "Bastard",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Defeat\\Bastard.ogg"
	})
		insert(DBM.Defeat, {
		text	= "Big Mistake",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Defeat\\BigMistake.ogg"
	})
	insert(DBM.Defeat, {
		text	= "Erased",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Defeat\\Erased.ogg"
	})
	insert(DBM.Defeat, {
		text	= "Fired",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Defeat\\Fired.ogg"
	})
	insert(DBM.Defeat, {
		text	= "I Killed You",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Defeat\\IKilledYou.ogg"
	})
	insert(DBM.Defeat, {
		text	= "I'll Be Back",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Defeat\\IllBeBack.ogg"
	})
	insert(DBM.Defeat, {
		text	= "JudgementDay",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Defeat\\JudgementDay.ogg"
	})
		insert(DBM.Defeat, {
        text	= "Mack!",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Defeat\\Mack.ogg"
	})
	insert(DBM.Defeat, {
		text	= "Real Quaid",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Defeat\\RealQuaid.ogg"
	})
	insert(DBM.Defeat, {
		text	= "Stay Still",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Defeat\\StayStill.ogg"
	})
	insert(DBM.Defeat, {
		text	= "Vacation",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Defeat\\Vacation.ogg"
	})
	insert(DBM.Defeat, {
		text	= "Victor",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Defeat\\Victor.ogg"
	})
	insert(DBM.Defeat, {
		text	= "Trees",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Defeat\\Trees.ogg"
    })
	insert(DBM.Defeat, {
		text	= "Stop Whining",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Defeat\\StopWhining.ogg"
	})
	insert(DBM.Defeat, {
		text	= "Scream",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Defeat\\Scream.ogg"
    })		
	insert(DBM.Defeat, {
		text	= "Get To The Choppa!",
		value	= "Interface\\AddOns\\DBM-ArnoldEventsPack\\Defeat\\GetToTheChoppa.ogg"
	})
	inserted2 = true
end

local LibSharedMedia = LibStub and LibStub("LibSharedMedia-3.0", false)

if LibSharedMedia then
  LibSharedMedia:Register("sound", "Bleeds", "Interface\\AddOns\\DBM-ArnoldEventsPack\\Sounds\\Bleeds.ogg")
  LibSharedMedia:Register("sound", "Choppa", "Interface\\AddOns\\DBM-ArnoldEventsPack\\Sounds\\Choppa.ogg")
  LibSharedMedia:Register("sound", "Quaid",  "Interface\\AddOns\\DBM-ArnoldEventsPack\\Sounds\\RealQuaid.ogg")
  LibSharedMedia:Register("sound", "Waiting", "Interface\\AddOns\\DBM-ArnoldEventsPack\\Sounds\\Waiting.ogg")
  LibSharedMedia:Register("sound", "Spine", "Interface\\AddOns\\DBM-ArnoldEventsPack\\Sounds\\Spine.ogg")
  LibSharedMedia:Register("sound", "Mine Now", "Interface\\AddOns\\DBM-ArnoldEventsPack\\Sounds\\MineNow.ogg")
  LibSharedMedia:Register("sound", "Enough Talk", "Interface\\AddOns\\DBM-ArnoldEventsPack\\Sounds\\EnoughTalk.ogg")
  LibSharedMedia:Register("sound", "Everything", "Interface\\AddOns\\DBM-ArnoldEventsPack\\Sounds\\ISeeEverything.ogg")
  LibSharedMedia:Register("sound", "Wizard", "Interface\\AddOns\\DBM-ArnoldEventsPack\\Sounds\\Wizard.ogg")
  LibSharedMedia:Register("sound", "Frosty", "Interface\\AddOns\\DBM-ArnoldEventsPack\\Sounds\\Frosty.ogg")
  LibSharedMedia:Register("sound", "Screw", "Interface\\AddOns\\DBM-ArnoldEventsPack\\Sounds\\Screw.ogg")
  LibSharedMedia:Register("sound", "Trees", "Interface\\AddOns\\DBM-ArnoldEventsPack\\Sounds\\Trees.ogg")
  LibSharedMedia:Register("sound", "Hazzard", "Interface\\AddOns\\DBM-ArnoldEventsPack\\Sounds\\Hazzard.ogg")
  LibSharedMedia:Register("sound", "No Problemo", "Interface\\AddOns\\DBM-ArnoldEventsPack\\Sounds\\NoProblemo.ogg")
  LibSharedMedia:Register("sound", "Scream", "Interface\\AddOns\\DBM-ArnoldEventsPack\\Sounds\\Scream.ogg")
  LibSharedMedia:Register("sound", "Crush", "Interface\\AddOns\\DBM-ArnoldEventsPack\\Sounds\\Crush.ogg")
  LibSharedMedia:Register("sound", "Laugh", "Interface\\AddOns\\DBM-ArnoldEventsPack\\Sounds\\Laugh.ogg")
  LibSharedMedia:Register("sound", "Get Me", "Interface\\AddOns\\DBM-ArnoldEventsPack\\Sounds\\GetMe.ogg")
  LibSharedMedia:Register("sound", "Sky Net", "Interface\\AddOns\\DBM-ArnoldEventsPack\\Sounds\\SkyNet.ogg")
  LibSharedMedia:Register("sound", "Mission", "Interface\\AddOns\\DBM-ArnoldEventsPack\\Sounds\\Mission.ogg")
  LibSharedMedia:Register("sound", "Don't Know", "Interface\\AddOns\\DBM-ArnoldEventsPack\\Sounds\\DontKnow.ogg")
  LibSharedMedia:Register("sound", "Rambo", "Interface\\AddOns\\DBM-ArnoldEventsPack\\Sounds\\FirstBlood.ogg")
  LibSharedMedia:Register("sound", "Come with me", "Interface\\AddOns\\DBM-ArnoldEventsPack\\Sounds\\ComeWithMe.ogg")
  LibSharedMedia:Register("sound", "Orders", "Interface\\AddOns\\DBM-ArnoldEventsPack\\Sounds\\Orders.ogg")
  LibSharedMedia:Register("sound", "Get Ready", "Interface\\AddOns\\DBM-ArnoldEventsPack\\Sounds\\GetReady.ogg")
  LibSharedMedia:Register("sound", "Daddy", "Interface\\AddOns\\DBM-ArnoldEventsPack\\Sounds\\WhoIsYourDaddy.ogg")
  LibSharedMedia:Register("sound", "Judgement Day", "Interface\\AddOns\\DBM-ArnoldEventsPack\\Sounds\\JudgementDay.ogg")
  LibSharedMedia:Register("sound", "Mack!", "Interface\\AddOns\\DBM-ArnoldEventsPack\\Sounds\\Mack.ogg") 
end